spring:
  cloud:
    gateway:

      discovery.locator.enabled: true

      routes:

      - id: NEVISdev
        uri: lb://NEVISdev
        predicates:
        - Path=/dev/nevis/**
        filters:
        - RewritePath=/dev/nevis/, /

      - id: NEVIStest
        uri: lb://NEVIStest
        predicates:
        - Path=/test/nevis/**
        filters:
        - RewritePath=/test/nevis/, /

      - id: COMMONdev
        uri: lb://COMMONdev
        predicates:
        - Path=/dev/common/**
        filters:
        - RewritePath=/dev/common/, /

      - id: COMMONtest
        uri: lb://COMMONtest
        predicates:
        - Path=/test/common/**
        filters:
        - RewritePath=/test/common/, /

      - id: STORAGEdev
        uri: lb://STORAGEdev
        predicates:
        - Path=/dev/storage/**
        filters:
        - RewritePath=/dev/storage/, /

      - id: STORAGEtest
        uri: lb://STORAGEtest
        predicates:
        - Path=/test/storage/**
        filters:
        - RewritePath=/test/storage/, /

      - id: BALIdev
        uri: lb://BALIdev
        predicates:
        - Path=/dev/bali/**
        filters:
        - RewritePath=/dev/bali/, /

      - id: BALItest
        uri: lb://BALItest
        predicates:
        - Path=/test/bali/**
        filters:
        - RewritePath=/test/bali/, /